Bug 1334406 - v8 fails to build on ARM
Summary: v8 fails to build on ARM
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: v8
Version: 25
Hardware: arm
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-05-09 14:21 UTC by Tom "spot" Callaway
Modified: 2017-12-12 10:46 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:46:36 UTC


Attachments (Terms of Use)

Description Tom "spot" Callaway 2016-05-09 14:21:41 UTC
Description of problem:

../test/cctest/test-platform.cc:20:24: error: unexpected token in operand
  __asm__ __volatile__("str %%sp, %0" : "=g"(sp_addr));
                       ^
<inline asm>:1:6: note: instantiated into assembly here
        str %sp, [r1]
            ^
1 error generated.

Full log here:
https://kojipkgs.fedoraproject.org//work/tasks/4404/13894404/build.log

Since I need to get this moving again, I'm taking arm out of the ExclusiveArch list for v8. Happy to apply a fix, but I don't have the ARM / clang expertise to understand why this syntax is invalid.

Comment 1 Peter Robinson 2016-05-09 16:02:25 UTC
> https://kojipkgs.fedoraproject.org//work/tasks/4404/13894404/build.log

What is the actual build task, what is the NVR/git tag?

Comment 2 Tom "spot" Callaway 2016-05-09 16:03:46 UTC
It was a scratch build... I don't have it anymore.

That said, the current v8 code is checked in to git master branch. Feel free to re-enable arm and throw another scratch build at koji.

Comment 3 Peter Robinson 2016-05-09 16:17:26 UTC
The version bundled in nodejs builds OK, AFAICT from the nodejs .spec that is 5.0.71.35 so when I get a moment I'll compare with that

Comment 4 Tom "spot" Callaway 2016-05-09 16:19:22 UTC
Note that the failure is in the test code, not the library itself, which may be why nodejs dodges it... I just couldn't figure out an obvious way to disable building the testsuite.

Comment 5 Jan Kurik 2016-07-26 05:07:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 6 Fedora End Of Life 2017-11-16 19:34:33 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:46:36 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.